group "CommodityFixedPrice.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 6 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
(fixedPriceSchedule? | fixedPrice? | worldscaleRate? | contractRate? | settlementPeriodsPrice*), totalPrice?

Content Model Elements (6):

  contractRate, fixedPrice (in fixedLeg in commoditySwap), fixedPriceSchedule, | settlementPeriodsPrice, totalPrice (in fixedLeg in commoditySwap), worldscaleRate

Known Usage Locations

- In definitions of global complexTypes (1):
  FixedPriceLeg

Annotation
The different options for specifying the Fixed Price.
XML Source (w/o annotations (7); see within schema source)

<xsd:group name="CommodityFixedPrice.model"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="fixedPriceSchedule" type="CommodityFixedPriceSchedule"/> <xsd:choice> <xsd:element minOccurs="0" name="fixedPrice" type="FixedPrice"/> <xsd:element minOccurs="0" name="worldscaleRate" type="xsd:decimal"/> <xsd:element minOccurs="0" name="contractRate" type="NonNegativeMoney"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsPrice" type="SettlementPeriodsFixedPrice"/> </xsd:choice> </xsd:choice> <xsd:element minOccurs="0" name="totalPrice" type="NonNegativeMoney"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 6/6)
contractRate

  Type: | NonNegativeMoney, complex content

  For a DRY Voyage Charter or Time Charter Commodity Swap, the price per relevant unit for pruposes of the calculation of a Fixed Amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="contractRate" type="NonNegativeMoney"/>

fixedPrice

  Type: | FixedPrice, complex content

  Fixed price on which fixed payments are based.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedPrice" type="FixedPrice"/>

fixedPriceSchedule

  Type: | CommodityFixedPriceSchedule, complex content

  Allows the specification of a Fixed Price that varies over the life of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedPriceSchedule" type="CommodityFixedPriceSchedule"/>

settlementPeriodsPrice

  Type: | SettlementPeriodsFixedPrice, complex content

  For an electricity transaction, the fixed price for one or more groups of Settlement Periods on which fixed payments are based. If the fixed price differs for different groups of Settlement Periods, this element should be repeated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsPrice" type="SettlementPeriodsFixedPrice"/>

totalPrice

  Type: | NonNegativeMoney, complex content

  The total amount of all fixed payments due during the term of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="totalPrice" type="NonNegativeMoney"/>

worldscaleRate

  Type: | xsd:decimal, predefined, simple content

  For a WET Voyager Charter Commodity Swap, the number of Worldscale Points for purposes of the calculation of a Fixed Amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="worldscaleRate" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.